require "loader"

function love.load()
	block = {}
	character = {}
	worldW = 10 worldH = worldW
	
	blockVar = 3
	blockSize = 16*blockVar
	
	selected = 1
	
	isFalling = true
	
	sX = 0
	sY = 0
	
	px = 500
	py = 500
	
	movementSpeed = 5
	fallingSpeed = 5
	
	loadImages()
	initLevel()
end

function initLevel()
	for x = 0, worldW do
		block[x] = {}
		for y = 0, worldH do
			block[x][y] = dirt
		end
	end
	generateLevel()
end

function generateLevel()
end

function love.update()
	kmx, kmy = love.mouse.getPosition()
	mx = math.ceil((kmx+sX)/blockSize)-1
	my = math.ceil((kmy+sY)/blockSize)-1
	
	print(mx)
	print(my)
	if mx<worldW+1 and mx >= 0 and my<worldH+1 and my >= 0 then
		if love.mouse.isDown(1) then
			block[mx][my] = air
		elseif love.mouse.isDown(2) and block[mx][my] == air then
			if selected == 1 then
				block[mx][my] = dirt
			elseif selected == 2 then
				block[mx][my] = brick
			end
		end
	end
	
	if love.keyboard.isDown("w") then
		sY = sY - movementSpeed
	end
	if love.keyboard.isDown("s") then
		sY = sY + movementSpeed
	end
	if love.keyboard.isDown("d") then
		sX = sX + movementSpeed
	end
	if love.keyboard.isDown("a") then
		sX = sX - movementSpeed
	end
	
	if love.keyboard.isDown("1") then
		selected = 1
	end
	if love.keyboard.isDown("2") then
		selected = 2
	end
	
--	if isFalling == true then
--		sY = sY + fallingSpeed
--	end
end

function love.draw()
	for x = 0, worldW do
		for y = 0, worldH do
			block[x][y][image]:setFilter("nearest", "nearest")
			love.graphics.draw(block[x][y][image], x*blockSize - sX, y*blockSize - sY, 0, blockVar, blockVar)
		end
	end
end
